#
# spec file for package servletapi5 (Version 5.0.18)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           servletapi5
BuildRequires:  ant java-1_5_0-gcj-compat-devel xml-commons-apis-bootstrap
#!BuildIgnore:  xml-commons xml-commons-resolver xerces-j2 xml-commons-apis
%define	base_name	servletapi
%define	major_version	5
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		5.0.18
%define release		1jpp
%define section		free
Version:        5.0.18
Release:        238.6
Summary:        Java servlet and JSP implementation classes
License:        The Apache Software License
Group:          Development/Libraries/Java
Source:         %{full_name}-5-src.tar.gz
Patch150:       java150_build.patch
Url:            http://jakarta.apache.org/tomcat/
Requires:       /usr/sbin/update-alternatives
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Obsoletes:	servlet4
#Obsoletes:	servlet23
Provides:       servlet
Provides:       servlet5
Provides:       servlet24

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).



%package javadoc
License:        The Apache Software License
Group:          Development/Libraries/Java
Summary:        Javadoc for servletapi5
PreReq:         coreutils

%description javadoc
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

This package contains the javadoc documentation for the Java Servlet
and JSP APIs.



%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T -a 0 -n %{full_name}-5-src
%patch150

%build
# Fix us a license file first
cp -f jakarta-tomcat-%{version}-src/jakarta-servletapi-5/jsr154/LICENSE .
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
find . -type f -name "*.jar" -exec rm -f {} \;
pushd .
cd jsr154
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd 
pushd .
cd jsr152
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd

%install
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jspapi-%{version}.jar
install -m 644 jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc jsp
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
cp -pr jsr152/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
ln -s jsp-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/jsp-api # ghost symlink
# javadoc servlet
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jsr154/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
#update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 50
#update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/jsp-api-%{version}.jar 50

%postun
#if [ "$1" = "0" ]; then
#	update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
#	update-alternatives --remove jsp %{_javadir}/jsp-api-%{version}.jar
#fi

%post javadoc
rm -f %{_javadocdir}/%{name}
rm -f %{_javadocdir}/jsp-api
ln -s %{name}-%{version} %{_javadocdir}/%{name}
ln -s jsp-api-%{version} %{_javadocdir}/jsp-api

%files
%defattr(-,root,root)
%doc LICENSE
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/jsp-api-%{version}
%ghost %doc %{_javadocdir}/%{name}
%ghost %doc %{_javadocdir}/jsp-api

%changelog
* Mon Jul 28 2008 coolo@suse.de
- yet another package to ignore
* Mon Jul 28 2008 coolo@suse.de
- build without openjdk to avoid cycle
* Mon Sep 25 2006 dbornkessel@suse.de
- java150 fixes: added target="1.4" and source="1.4"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 5.0.18 (JPackage 1.5)
